Subject: RE: [ippm] Real-time-like traffic generation

From: Dan Romascanu <[email-masked]>
Date: Tue, 20 Mar 2001 15:34:04 +0200

Hi Bogdan,

	Related to this subject, note that there is work being proposed to
the IETF RMON WG on synthetic sources for performance monitoring. 
	- draft-cole-sppm-02.txt
	- draft-kalbfleish-sspmmib-01.tx

	The issue was discussed in the last night WG meeting in Minneapolis.
Bob Cole and myself who are two of the authors of the two drafts will be
today at the IPPM WG meeting, if you ore other participants are interested
in discussing this work.

	Regards,

	Dan

> I would like to do some traffic performance measurement of combined
> real-time traffic (e.g. VoIP) and TCP traffic. I know that there are
> plenty of applications to produce a VoIP call, but I would prefere, for
> the sake of simplicity, to use an easy-to-configure application, such as
> ping (the tests will involve scripting, and it's rather difficult to
> make 'rat' or 'netmeeting' part of a script ). I know that they are not
> the same, I know that the remote station would reply to the ICMP packets
> sent by the sender, but the effect would be the same: constant traffic,
> with a precise spacing between packets and same packet lenght for each
> datagram. 
> 
> The problem I have is that ping cannot send packets at intervals < 1s,
> except for the flood case, which is out of the question, because the
> program relies on sigalarm() function, which can be triggered only at
> integer intervals.
> 
> So, the question is: are there any tools to produce real-time-like
> traffic (I'm talking, of course, about freely downloadable ones, not
> commercial products), or are there any ping 'clones' that avoided the
> sigalarm() problem?
> 
> Thank you
> 
> Bogdan Ghita
> _______________________________________________
> ippm mailing list
> [email-masked]
> http://mailhost.advanced.org/mailman/listinfo/ippm
_______________________________________________
ippm mailing list
[email-masked]
http://mailhost.advanced.org/mailman/listinfo/ippm